### Hierarchy

- BaseAPI
  - TokensApi

### Implements

- TokensApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- getContractFtMetadata
- getContractFtMetadataRaw
- getContractNftMetadata
- getContractNftMetadataRaw
- getFtMetadataList
- getFtMetadataListRaw
- getNftMetadataList
- getNftMetadataListRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new TokensApi(configuration?: Configuration ): TokensApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns TokensApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### getContractFtMetadata

- getContractFtMetadata(requestParameters: GetContractFtMetadataRequest, initOverrides?: RequestInit): Promise< FungibleTokenMetadata >

- Implementation of TokensApiInterface.getContractFtMetadata

  - Defined in src/generated/apis/TokensApi.ts:157

  Get fungible tokens metadata for given contract id Fungible tokens metadata for contract id

  #### Parameters

  - ##### requestParameters: GetContractFtMetadataRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< FungibleTokenMetadata >

### getContractFtMetadataRaw

- getContractFtMetadataRaw(requestParameters: GetContractFtMetadataRequest, initOverrides?: RequestInit): Promise< ApiResponse < FungibleTokenMetadata >>

- Implementation of TokensApiInterface.getContractFtMetadataRaw

  - Defined in src/generated/apis/TokensApi.ts:134

  Get fungible tokens metadata for given contract id Fungible tokens metadata for contract id

  #### Parameters

  - ##### requestParameters: GetContractFtMetadataRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < FungibleTokenMetadata >>

### getContractNftMetadata

- getContractNftMetadata(requestParameters: GetContractNftMetadataRequest, initOverrides?: RequestInit): Promise< NonFungibleTokenMetadata >

- Implementation of TokensApiInterface.getContractNftMetadata

  - Defined in src/generated/apis/TokensApi.ts:189

  Get non fungible tokens metadata for given contract id Non fungible tokens metadata for contract id

  #### Parameters

  - ##### requestParameters: GetContractNftMetadataRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< NonFungibleTokenMetadata >

### getContractNftMetadataRaw

- getContractNftMetadataRaw(requestParameters: GetContractNftMetadataRequest, initOverrides?: RequestInit): Promise< ApiResponse < NonFungibleTokenMetadata >>

- Implementation of TokensApiInterface.getContractNftMetadataRaw

  - Defined in src/generated/apis/TokensApi.ts:166

  Get non fungible tokens metadata for given contract id Non fungible tokens metadata for contract id

  #### Parameters

  - ##### requestParameters: GetContractNftMetadataRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < NonFungibleTokenMetadata >>

### getFtMetadataList

- getFtMetadataList(requestParameters: GetFtMetadataListRequest, initOverrides?: RequestInit): Promise< FungibleTokensMetadataList >

- Implementation of TokensApiInterface.getFtMetadataList

  - Defined in src/generated/apis/TokensApi.ts:225

  Get list of fungible tokens metadata Fungible tokens metadata list

  #### Parameters

  - ##### requestParameters: GetFtMetadataListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< FungibleTokensMetadataList >

### getFtMetadataListRaw

- getFtMetadataListRaw(requestParameters: GetFtMetadataListRequest, initOverrides?: RequestInit): Promise< ApiResponse < FungibleTokensMetadataList >>

- Implementation of TokensApiInterface.getFtMetadataListRaw

  - Defined in src/generated/apis/TokensApi.ts:198

  Get list of fungible tokens metadata Fungible tokens metadata list

  #### Parameters

  - ##### requestParameters: GetFtMetadataListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < FungibleTokensMetadataList >>

### getNftMetadataList

- getNftMetadataList(requestParameters: GetNftMetadataListRequest, initOverrides?: RequestInit): Promise< NonFungibleTokensMetadataList >

- Implementation of TokensApiInterface.getNftMetadataList

  - Defined in src/generated/apis/TokensApi.ts:261

  Get list of non fungible tokens metadata Non fungible tokens metadata list

  #### Parameters

  - ##### requestParameters: GetNftMetadataListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< NonFungibleTokensMetadataList >

### getNftMetadataListRaw

- getNftMetadataListRaw(requestParameters: GetNftMetadataListRequest, initOverrides?: RequestInit): Promise< ApiResponse < NonFungibleTokensMetadataList >>

- Implementation of TokensApiInterface.getNftMetadataListRaw

  - Defined in src/generated/apis/TokensApi.ts:234

  Get list of non fungible tokens metadata Non fungible tokens metadata list

  #### Parameters

  - ##### requestParameters: GetNftMetadataListRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < NonFungibleTokensMetadataList >>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc